%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_with check
%global debug_package %{nil}

%global crate smallvec

Name:           rust-smallvec
Version:        1.13.2
Release:    1%{?dist}
Summary:        Store up to a small number of items on the stack

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/smallvec
Source0:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
'Small vector' optimization: store up to a small number of items on the
stack.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+arbitrary-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+arbitrary-devel %{_description}

This package contains library source intended for building other packages which
use the "arbitrary" feature of the "%{crate}" crate.

%files       -n %{name}+arbitrary-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+const_generics-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+const_generics-devel %{_description}

This package contains library source intended for building other packages which
use the "const_generics" feature of the "%{crate}" crate.

%files       -n %{name}+const_generics-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+const_new-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+const_new-devel %{_description}

This package contains library source intended for building other packages which
use the "const_new" feature of the "%{crate}" crate.

%files       -n %{name}+const_new-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+debugger_visualizer-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+debugger_visualizer-devel %{_description}

This package contains library source intended for building other packages which
use the "debugger_visualizer" feature of the "%{crate}" crate.

%files       -n %{name}+debugger_visualizer-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+drain_filter-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+drain_filter-devel %{_description}

This package contains library source intended for building other packages which
use the "drain_filter" feature of the "%{crate}" crate.

%files       -n %{name}+drain_filter-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+drain_keep_rest-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+drain_keep_rest-devel %{_description}

This package contains library source intended for building other packages which
use the "drain_keep_rest" feature of the "%{crate}" crate.

%files       -n %{name}+drain_keep_rest-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+may_dangle-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+may_dangle-devel %{_description}

This package contains library source intended for building other packages which
use the "may_dangle" feature of the "%{crate}" crate.

%files       -n %{name}+may_dangle-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+specialization-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+specialization-devel %{_description}

This package contains library source intended for building other packages which
use the "specialization" feature of the "%{crate}" crate.

%files       -n %{name}+specialization-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+union-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+union-devel %{_description}

This package contains library source intended for building other packages which
use the "union" feature of the "%{crate}" crate.

%files       -n %{name}+union-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+write-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+write-devel %{_description}

This package contains library source intended for building other packages which
use the "write" feature of the "%{crate}" crate.

%files       -n %{name}+write-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.13.2-1
- initial build
